version: '2.4'
networks:
  default:
    external:
      name: 'privatenet'
services:
  db:
    image: postgres:11.2
    logging:
      options:
        max-size: "10m"
        max-file: "3"
    #user: "1000:1000"
    container_name: "postgres"
    command: postgres -c max_locks_per_transaction=1000
    restart: unless-stopped
    # cpu_percent: 10
    # mem_limit: 250M
    # oom_kill_disable: true
    volumes:
      - ./init_db.sh:/docker-entrypoint-initdb.d/init_db.sh
      #- /data:/var/lib/postgresql/data
    environment:
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD: postgres
      POSTGRES_DB: postgres

    labels:
      - "traefik.enable=false"
